<div class="row">
    <div class="col-md-3">
        <div class="card">
            <div class="card-body">
                Generar Reporte
                <div class="row">
                    <!--
                    <mat-form-field appearance="fill">
                        <mat-label>Fecha Inicial</mat-label>
                        <input matInput [matDatepicker]="pickerInit" (dateChange)="getDateStart()" id="date1Search">
                        <mat-datepicker-toggle matSuffix [for]="pickerInit"></mat-datepicker-toggle>
                        <mat-datepicker #pickerInit></mat-datepicker>
                    </mat-form-field>-->
                    <mat-form-field appearance="fill">
                        <mat-label>Fecha Inicial</mat-label>
                        <input matInput [max]="maxFechaInicial" [matDatepicker]="picker"  (dateChange)="buscarPorFecha('fechaInicial', $event)" id="date1Search">
                        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                        <mat-datepicker #picker></mat-datepicker>
                    </mat-form-field>
                </div>

                <div class="row">
                    <!--
                    <mat-form-field appearance="fill">
                        <mat-label>Fecha Final</mat-label>
                        <input matInput  disabled="{{inputReadonly}}" [min]="fechaInicial" [matDatepicker]="picker2" (dateChange)="getDateEnd()" id="date2Search">
                        <mat-datepicker-toggle id="pickerDate" matSuffix [for]="picker2"></mat-datepicker-toggle>
                        <mat-datepicker #picker2></mat-datepicker>
                    </mat-form-field>-->
                    <mat-form-field appearance="fill">
                        <mat-label>Fecha Final</mat-label>
                        <input matInput [min]="fechaInicial" [max]="fechaFinalMax" [matDatepicker]="picker2" (dateChange)="buscarPorFecha('fechaFinal', $event)" id="date2Search">
                        <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                        <mat-datepicker #picker2 disabled="false" [startAt]="fechaInicial"></mat-datepicker>
                    </mat-form-field>
                </div>

                <span *ngIf="showErrorDates" style="color:red">Debes seleccionar un rango de fechas</span>

                <div class="row row-section">
                    <div class="dropdown">
                        <select class="browser-default custom-select" #selectShop (change)='onOptionsSelected(selectShop.value)'
                            name="shop" class="form-control" id="selectShop">
                            <option value="0">Selecciona un comercio </option>
                            <option value="0" *ngIf="showAllShops">Todas los comercios </option>
                            <option *ngFor="let shop of this.clients; index as i" value="{{shop['_id']}}">{{shop["nombre"]}}</option>
                        </select>
                    </div>
                </div>
                
                <div class="row row-section">
                    <div class="dropdown">
                        <select class="browser-default custom-select" #offersId (change)='onOptionsSelectedOffer()'
                            name="nombre" class="form-control" id="selectOffer" [disabled]="disableOffers">
                            <option value="0">Selecciona una oferta </option>
                            <option value="0">Todas las ofertas </option>
                            <option  *ngFor="let offer of this.offers; index as i" value="{{offer['nombre']}}">
                                {{offer['nombre']}}</option>
                        </select>
                    </div>
                </div>
                <div class="row row-section" style="text-align: center;" *ngIf="showSpinnerOffer">
                    <div class="spinner">
                        <div class="bounce1"></div>
                        <div class="bounce2"></div>
                        <div class="bounce3"></div>
                    </div>
                    <label>Cargando ofertas del comercio</label>
                </div>
                <div class="row row-section">
                    <button (click)="generateReport()" class="btn btn-primary mr-4 mt-3" >Generar</button>
                </div>
            </div>
        </div>
    </div>


    <div class="col-md-9">
        <div class="row">

            <div class="col-md-4 mb-5 mb-lg-0 mx-auto">
                <div class="card card-statistics">
                    <div class="card-body">
                        <mat-label class="label-input">Tiempo promedio:</mat-label>
                        <input class="labelSta" matInput type="text" [(ngModel)]="timeAverage" disabled>
                    </div>
                </div>

            </div>
            
            <div class="col-md-4 mb-5 mb-lg-0 mx-auto">
                <div class="card card-statistics">
                    <div class="card-body">
                        <mat-label class="label-input">Interacciones promedio:</mat-label>
                        <input class="labelSta" matInput type="text" [(ngModel)]="interactionsAverage" disabled>
                    </div>
                </div>

            </div>

            <div class="col-md-4 mb-5 mb-lg-0 mx-auto">
                <div class="card card-statistics">
                    <div class="card-body">
                        <mat-label class="label-input">Nodo con mayor deserción:</mat-label>
                        <input class="labelSta" matInput type="text" [(ngModel)]="nameNodeMayor" disabled>
                    </div>
                </div>

            </div>

            
        </div>

        <div class="row">


            <div class="col-md-4 mb-5 mb-lg-0 mx-auto">
                <div class="card card-statistics">
                    <div class="card-body">
                        <mat-label class="label-input">Registros completados:</mat-label>
                        <input class="labelSta" matInput type="text" [(ngModel)]="registersSuccesful" disabled>
                    </div>
                </div>

            </div>
            
            <div class="col-md-4 mb-5 mb-lg-0 mx-auto">
                <div class="card card-statistics">
                    <div class="card-body">
                        <mat-label class="label-input">Registros abandonados:</mat-label>
                        <input class="labelSta" matInput type="text" [(ngModel)]="registersError" disabled>
                    </div>
                </div>

            </div>

            <div class="col-md-4 mb-5 mb-lg-0 mx-auto">
                <div class="card card-statistics">
                    <div class="card-body">
                        <mat-label class="label-input">Total de registros:</mat-label>
                        <input class="labelSta" matInput type="text" [(ngModel)]="registersTotal" disabled>
                    </div>
                </div>

            </div>

        </div>

        <div class="row">

            <div class="col-md-4 mb-5 mb-lg-0 mx-auto">
                <div class="card card-statistics">
                    <div class="card-body">
                        <mat-label class="label-input">Abandonos en computadora:</mat-label>
                        <input class="labelSta" matInput type="text" [(ngModel)]="pcAbandonment" disabled>
                    </div>
                </div>

            </div>

            <div class="col-md-4 mb-5 mb-lg-0 mx-auto">
                <div class="card card-statistics">
                    <div class="card-body">
                        <mat-label class="label-input">Abandonos en móvil:</mat-label>
                        <input class="labelSta" matInput type="text" [(ngModel)]="movilAbandonment" disabled>
                    </div>
                </div>

            </div>
            
            <div class="col-md-4 mb-5 mb-lg-0 mx-auto">
                <div class="card card-statistics">
                    <div class="card-body">
                        <mat-label class="label-input">Abandonos híbridos:</mat-label>
                        <input class="labelSta" matInput type="text" [(ngModel)]="hibridAbandonment" disabled>
                    </div>
                </div>

            </div>

        </div>
    </div>

</div>

<div class="row">
    <h3 style="text-align: center;">Estadísticas de abandono</h3>
    <div class="col-md-12">
        <div class="row">
            <div class="col-md-6">
                <ngx-charts-advanced-pie-chart 
                    [results]="dataGraphicRegisterFinal"
                    [view]="[700,400]">
                </ngx-charts-advanced-pie-chart>
            </div>

            <div class="col-md-6">
                <ngx-charts-advanced-pie-chart 
                    [results]="dataGraphicAbandonmentFinal"
                    [view]="[700,400]">
                </ngx-charts-advanced-pie-chart>
            </div>
        </div>

        <div class="row row-section text-right">
            <div class="col-md-12">
                <button (click)="exportTableAnalytics()" mat-raised-button color="primary"><i class="fa fa-download" aria-hidden="true"></i>Exportar</button>
            </div>
        </div>

        <div class="row row-section">

                    <div class="col-md-12">
                        <table id="dtResultReport" class="table table-striped table-bordered table-sm">
                            <thead>
                            <tr>
                              <th scope="col">Track id</th>
                              <th scope="col">Dispositivo</th>
                              <th scope="col">Nodo</th>
                              <th scope="col">Intentos</th>
                              <th scope="col">Ingreso</th>
                              <th scope="col">Salida</th>
                            </tr>
                            </thead>
                            <tbody>

                            </tbody>
                        </table>
                    </div>
                </div>
        
    </div>
</div>

